Template::Plugin::Scalar(3)

NAME
Template::Plugin::Scalar - call object methods in scalar context

SYNOPSIS
    [% USE scalar %]

    # TT2 calls object methods in array context by default
    [% object.method %]

    # force it to use scalar context
    [% object.scalar.method %]

    # also works with subroutine references
    [% scalar.my_sub_ref %]

DESCRIPTION
The Template Toolkit calls user-defined subroutines and object methods using Perl's array context by default. This plugin module provides a way for you to call subroutines and methods in scalar context.

AUTHOR
Andy Wardley <abw@wardley.org> <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2022 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Plugin